/**
 * Super menu
 */

.super__menu {
  position: relative;
  z-index: 50; // Place the menu above most elements
  @include clearfix;
  border-bottom: 1px solid $grey;

  // All lists should be nulled
  // out with margins and styles
  ul {
    margin: 0;
    padding: 0;
    list-style: none;
  }

  // Remove underlines from anchors
  a, a:hover { text-decoration: none; }

  // The first item in a column
  // is the main title
  &--title > a {
    font-weight: 600;
    color: black;
  }



  @include not-wider-than(tablet){
    &--item {
      width: 100%;
    }
  }

  @include wider-than(tablet) {

  }




  // All column items
  &--item {
    display: inline-block;
    a{
      display: block;
    }
    // Kids
    &.kids {
      // To symbolise there is a dropdown menu,
      // we place a dropdown icon here
      & > a::after {
        content: "\25bc";
        font-size: 0.5rem;
        vertical-align: middle;
        margin-left: 0.5rem;

        @include not-wider-than(tablet){
          float: right;
          padding: 0.5rem;
        }

      }
    }

    // The 'links' are apart of the
    // main navigation, not within it
    &--link {
      padding: 0.5rem;
      @include wider-than(tablet){
        padding: 1rem 0.5rem;
      }
    }
  }

  // A column within the menu
  .super__menu--sub-menu {
    flex: 1 0 50%;
    display: inline-block;
    padding: 0.5rem;

    @include wider-than(tablet){
      flex: 0 0 16rem; // Remove the grow, remove the shrink, allow it to be 16rem. and done.
      padding: 1rem;
    }

    // Items within the list
    li, a {
      display: block;
    }
  }


  // Related is a sections at the end of
  // the dropdown and relates to different
  // products posts or links. We're referencing
  // the menu a few times to ensure we can overwrite
  // any default behaviour with the styles
  .super__menu--related { // Search hidden__dragon for width
    padding: 1rem;
    border-left: 1px solid $grey;
    background-color: $grey-light;

    // Related products
    &.super__menu--products {

      // Specifically the product
      li.product {
        margin-bottom: 0.25rem;
        padding: 0.25rem 0 ;
        border-bottom: 1px solid $grey;
        float: left;
        clear: both;

        // Product image
        .squared {
          width: 3.125rem;
          float: left;

          img {
            padding: 1px;
          }
        }

        // Everything else
        .brand__links,
        .link-to-single, {
          width: calc( 100% - 4rem );
          text-align: left;
          float: right;
          position: relative;
        }

        // Brand names are now tiny
        .brand__links--name {
          margin: 0;
          padding: 0;
          font-size: 0.55rem;
        }

        // Price to the left
        .price {
          float: left;
          margin-left: 0.6rem;
          width: 45%;
          text-align: left;
          font-size: 0.75rem;

          .amount {
            font-size: 0.8rem;
            margin-right: 0.25rem;
          }
        }

        // Tags to the right
        .product-tags {
          float: right;
          width: 30%;
          text-align: right;
          font-size: 0.8rem;

          .single-product__meta {
            margin-bottom: 0;
          }
        }

        // Removing the styles for the
        // titles of the products
        h3 {
          font-size: 0.8rem;
          margin: 0;

          // NO long products allowed
          overflow: hidden;
          text-overflow: ellipsis;
          white-space: pre;
        }

        // Remove elements
        .edit-this-product,
        .favourite--item,
        form { display: none; }
      }
    }
  }

  // A line between links, helps
  // separate certain areas
  .separator {
    // Horizontal line on phones
    @include not-wider-than(tablet){
      width: 100%;
      height: 0;
      border-top: 1px solid $text;
      margin: 0;
      display: block;
    }
    // Short line on wider menus
    @include wider-than(tablet){
      margin: 0 0.5rem;
      display: inline-block;
      width: 0;
      border-left: 1px solid $grey;
    }
  }
}

/* End of the super menu wrap */


// Hidden sub menus within
// the super menu
.hidden__dragon {

  // Always empty, always hide
  &:empty{
    display: none !important;
  }

  display: none;
  width: 100%;
  background-color: white;
  border-top: 1px solid $grey;

  // Desktop positioning of the menu
  @include wider-than(tablet){
    box-shadow: 0 20px 20px -15px fade-out($grey-dark, 0.5);
    position: absolute;
    top: 100%;
    left: 0;

    .super__menu--item:hover & {
      display: block;
    }
  }


// Container for the columns of links
  &--columns {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;

    &:not(:only-child) {
      @include wider-than(tablet){
        @include span( 8, 12 );
      }
    }
    // We're going to make sure
    // that the menu fits
  }

  // Related items after menu
  @include wider-than(tablet){
    .super__menu--related {
      @include span( 4, 12, $last: true );
    }
  }
}